/* for "example.dat" */
#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include "datadesc.h"
#include "edmonds.h"

#define abs(a) ((a) >= 0 ? (a) : -(a))

int read_file(char *path, int n, data_type *p)
{
	int i; FILE *f; char s[100];

	f = fopen(path, "r");
	if (f == NULL) return(0);
	for (i = 0; i < n; ++i) {
	    if (feof(f)) break;
		fgets(s, 100, f);
		sscanf(s,"%d %d %d %c",
		       &p -> age, &p -> size, &p -> income, &p -> occupation);
		++p;
	}
	return(i);
}

int dist(data_type *x, data_type *y)
{
	int s;

	s = abs(x -> age - y -> age)/5 
	    + abs (x->size - y -> size)
	    + abs (x->income - y -> income)/100;

	if (x -> occupation != y -> occupation) s += 2;

	return(s);
}

void print_data(data_type *d, FILE *f)
{
  fprintf(f, "[%d,%d,%d,%c]", d -> age, d -> size, d -> income,
		 d -> occupation);
}

